Subject: bug#35650: [PATCH] Improving HP-UX support

From: Paul Eggert <[email-masked]>
Date: Fri, 17 May 2019 08:00:23 -0700

On 5/16/19 1:42 AM, Osipov, Michael wrote:
> + /opt/aCC/bin/aCC -AC99 -I. -I./lib -DHASH_ALGO_BLAKE2=1 
> -DHAVE_CONFIG_H -Ilib -I./lib -Isrc -I./src 
> -I/opt/ports/coreutils/include -D_INCLUDE_STDC__SOURCE_199901 -g -c -o 
> src/blake2/b2sum-blake2b-ref.o src/blake2/blake2b-ref.c +Maked
> "./lib/unistd.h", line 627: error #2035: #error directive: "Please 
> include
>           config.h first." 

Oh, I forgot to update blake2b-ref.c. I installed the attached further 
patch; please give it a try.

>From 03970702c30337fd75cffffee9984f18af2cbcde Mon Sep 17 00:00:00 2001
From: Paul Eggert <[email-masked]>
Date: Fri, 17 May 2019 07:57:39 -0700
Subject: [PATCH] b2sum: port blake2b-ref.c to HP-UX aCC

Continue the fix for Bug#35650.
* src/blake2/blake2b-ref.c [HAVE_CONFIG_H]: Include <config.h>.
---
 src/blake2/blake2b-ref.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/src/blake2/blake2b-ref.c b/src/blake2/blake2b-ref.c
index cbb1d8be4..74cbf1fb4 100644
--- a/src/blake2/blake2b-ref.c
+++ b/src/blake2/blake2b-ref.c
@@ -13,6 +13,10 @@
    https://blake2.net.
 */
 
+#ifdef HAVE_CONFIG_H
+# include <config.h>
+#endif
+
 #include <stdint.h>
 #include <string.h>
 #include <stdio.h>
-- 
2.21.0